### R code from vignette source 'rxSeq.Rnw'

###################################################
### code chunk number 1: initialize
###################################################
library(rxSeq)


###################################################
### code chunk number 2: rxSeq.Rnw:32-33
###################################################
options(width = 80)


###################################################
### code chunk number 3: rxSeq.Rnw:70-74
###################################################
#fit trecase autosome genes:
trecase.A.out<-proc.trecase.A(index=data.A$index,kappas=data.A$kappas,
               y=data.A$y[1:2,],n=data.A$n[1:2,],n0B=data.A$n0B[1:2,],
               geneids=data.A$geneids[1:2])


###################################################
### code chunk number 4: rxSeq.Rnw:82-86
###################################################
#fit trecase X chromosome genes:
trecase.X.out<-proc.trecase.X(index=data.X$index,kappas=data.X$kappas,
               tausB=data.X$tausB,y=data.X$y[1:2,],n=data.X$n[1:2,],
               n0B=data.X$n0B[1:2,],geneids=data.X$geneids[1:2])


###################################################
### code chunk number 5: rxSeq.Rnw:91-95
###################################################
names(trecase.A.out)
trecase.A.out$pval[,1:2]
names(trecase.X.out)
trecase.X.out$pval[,1:2]


###################################################
### code chunk number 6: rxSeq.Rnw:109-114
###################################################
#fit trec autosome genes
trec.A.out<-proc.trec.A(index=data.A$index,kappas=data.A$kappas,
            y=data.A$y[1:2,],geneids=data.A$geneids[1:2])
names(trec.A.out)
trec.A.out$pval[,1:2]


###################################################
### code chunk number 7: rxSeq.Rnw:119-125
###################################################
#fit trec X chromosome genes
trec.X.out<-proc.trec.X(index=data.X$index,kappas=data.X$kappas,
            tausB=data.X$tausB,y=data.X$y[1:2,],
            geneids=data.X$geneids[1:2])
names(trec.X.out)
trec.X.out$pval[,1:2]


###################################################
### code chunk number 8: rxSeq.Rnw:136-138
###################################################
get.tausB(n=data.X$n,n0B=data.X$n0B,geneids=data.X$geneids,
          Xist.ID="ENSMUSG00000086503")


###################################################
### code chunk number 9: rxSeq.Rnw:152-153
###################################################
data.X$tausB


###################################################
### code chunk number 10: rxSeq.Rnw:160-161
###################################################
get.tausB(n=data.X$n,n0B=data.X$n0B,geneids=data.X$geneids,Xist.ID = "")


###################################################
### code chunk number 11: rxSeq.Rnw:168-173
###################################################
dat.A<-simRX(b0f=.5,b0m=.6,b1f=.3,b1m=.4,beta_sex=.1,beta_dom=.1,n.simu=1E1)
names(dat.A)
dat.X<-simRX(b0f=.5,b0m=.6,b1f=.3,b1m=.4,beta_sex=.1,beta_dom=.1,n.simu=1E1,
is.X=TRUE,tauB=.3)
names(dat.X)


