\name{nLogLik.trec.A}
\alias{nLogLik.trec.A}
\title{Negative log likelihood of an autosomal TReC only model.}
\description{
  Calculates negative log(likelihood) of an autosomal TReC only model at a given set of parameters
}
\usage{
nLogLik.trec.A(coef, phi, index, y, kappas, hessian=FALSE)}
\arguments{
  \item{coef}{parameters}
  \item{phi}{total read counts overdispersion}
  \item{index}{vector defining the cross of the mouse, female - AB=1, BA=2, AA=3, BB=4, and male - AB=5, BA=6, AA=7, BB=8.
  If mice are of only one sex, AB=1, BA=2, AA=3, BB=4.}
  \item{y}{vector of total read counts}
  \item{kappas}{Offset parameter, given as overall TReC for the mouse.}
  \item{hessian}{a logical option whether to calculate a Hessian matrix, the default values is set to FALSE.}
}

\value{
  output - list(nll=-log.likelihood, hessian=hessian matrix)
}
\author{ Vasyl Zhabotynsky vasyl@unc.edu }
\keyword{ utilities }

\examples{
# get negative-log likelihood at the given point:
nLogLik.trec.A(coef=rep(1,9), phi=1, index=data.A$index, y=data.A$y[1,], kappas=data.A$kappas)
}
