\name{tech.ctrl}
\alias{tech.ctrl}
\title{Provides optimization controls}
\description{
  A list with technical parameters, specifying optimization controls - boundaries for phi and theta estimates.
  Generally these are not to be changed, however, user can try to expand the boundaries if needed.
}
\value{  
  \item{iphi_l}{upper boundary for total read counts overdispersion (phi), coded in as a lower boundary for 1/phi}
  \item{iphi_u}{lower boundary for total read counts overdispersion (phi), coded in as a lower boundary for 1/phi}
  \item{theta_l}{lower boundary for allele specific counts overdispersion (theta)}
  \item{theta_u}{upper boundary for allele specific counts overdispersion (theta)}
}
\author{ Vasyl Zhabotynsky vasyl@unc.edu }
\keyword{ utilities }

\examples{
#expanding boundary of overdispersion ov allele-specific counts theta_u:
tech.ctrl$theta_u <- 1E3
}
